Appengine vscode не может отлаживать python main.py

Я пытаюсь заставить VSCode отладить скрипт Google Appengine. Я выполнил конкретные инструкции на веб-сайте VSCode для отладки Pythong Appengine, где я начинаю процесс сборки. Затем я подключаю отладчик к удаленному сеансу. Всякий раз, когда я подключаюсь, я получаю эти ошибки. Стек вызовов и боковая панель отладки остаются пустыми.

Ошибка:


    Executing task in folder project-impact: python /Users/admin/bin/google_appengine/dev_appserver.py 
    --python_startup_script=/Users/admin/project-impact/pydev_startup.py 
    --automatic_restart=no 
    --datastore_path=/Users/admin/project-impact-devfiles/project-impact.rbm 
    --max_module_instances=default:1 /Users/admin/project-impact/out/app.yaml

    INFO     2018-09-09 06:53:41,905 devappserver2.py:120] Skipping SDK update check.
    INFO     2018-09-09 06:53:42,393 api_server.py:274] Starting API server at: http://localhost:63926
    INFO     2018-09-09 06:53:42,508 dispatcher.py:270] Starting module "default" running at: http://localhost:8080
    INFO     2018-09-09 06:53:42,510 admin_server.py:152] Starting admin server at: http://localhost:8000
    /Users/admin/google-cloud-sdk/platform/google_appengine
    /Users/admin/google-cloud-sdk/platform/google_appengine/lib/concurrent
    /Users/admin/google-cloud-sdk/platform/google_appengine/lib/cherrypy
    /Users/admin/google-cloud-sdk/platform/google_appengine/lib/fancy_urllib
    /Users/admin/google-cloud-sdk/platform/google_appengine/lib/ipaddr
    /Users/admin/google-cloud-sdk/platform/google_appengine/lib/protorpc-1.0
    /Users/admin/google-cloud-sdk/platform/google_appengine/lib/yaml-3.10
    /Users/admin/google-cloud-sdk/platform/google_appengine
    /Library/Frameworks/Python.framework/Versions/2.7/lib/python27.zip
    /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7
    /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-darwin
    /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac
    /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac/lib-scriptpackages
    /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-tk
    /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-old
    /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload
    /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages
    /Users/admin/project-impact/out/lib
    python version:
    2.7.15 (v2.7.15:ca079a3ea3, Apr 29 2018, 20:59:26)
    [GCC 4.2.1 Compatible Apple LLVM 6.0 (clang-600.0.57)]
    ptvsd version:
    4.1.1
    Google App Engine has started, ready to attach the debugger

    INFO     2018-09-10 04:59:02,412 module.py:846] default: "GET /_ah/start HTTP/1.1" 200 2088
    Traceback (most recent call last):
      File "/usr/local/lib/python2.7/site-packages/ptvsd/wrapper.py", line 1254, in done
      File "/usr/local/lib/python2.7/site-packages/ptvsd/futures.py", line 40, in result
      File "/usr/local/lib/python2.7/site-packages/ptvsd/futures.py", line 149, in callback
      File "/usr/local/lib/python2.7/site-packages/ptvsd/wrapper.py", line 1434, in _handle_attach
      File "/usr/local/lib/python2.7/site-packages/ptvsd/wrapper.py", line 1430, in _send_cmd_version_command
      File "/usr/local/lib/python2.7/site-packages/ptvsd/wrapper.py", line 1279, in pydevd_request
      File "/usr/local/lib/python2.7/site-packages/ptvsd/wrapper.py", line 423, in pydevd_request
      File "/Users/admin/google-cloud-sdk/platform/google_appengine/google/appengine/tools/devappserver2/python/runtime/stubs.py", line 40, in os_error_not_implemented
        raise OSError(errno.ENOSYS, 'Function not implemented')

Дубликат stackoverflow.com/questions/52249076/…

seriousdev 13.09.2018 19:19
3
1
318
0

Другие вопросы по теме